> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turso.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User

> Returns information about the currently authenticated user.

<RequestExample>
  ```bash cURL theme={null}
  curl -L https://api.turso.tech/v1/user \
    -H 'Authorization: Bearer TOKEN'
  ```

  ```ts Node.js theme={null}
  import { createClient } from "@tursodatabase/api";

  const turso = createClient({
    org: "...",
    token: "",
  });

  const user = await turso.users.getCurrent();
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/user
openapi: 3.0.1
info:
  title: Turso Platform API
  description: API description here
  license:
    name: MIT
  version: 0.1.0
servers:
  - url: https://api.turso.tech
    description: Turso's Platform API
security: []
paths:
  /v1/user:
    get:
      summary: Get Current User
      description: Returns information about the currently authenticated user.
      operationId: getCurrentUser
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      username:
                        type: string
                        description: The username of the user.
                        example: iku
                      name:
                        type: string
                        description: The display name of the user.
                        example: Iku Turso
                      email:
                        type: string
                        description: The primary email address of the user.
                        example: iku@turso.tech
                      avatarUrl:
                        type: string
                        description: URL to the user's avatar image.
                        example: https://avatars.githubusercontent.com/u/12345
                      plan:
                        type: string
                        description: The user's current plan.
                        example: scaler
                      mfa:
                        type: boolean
                        description: >-
                          Whether the user has multi-factor authentication
                          enabled.
                        example: false
                      has_pending_invites:
                        type: boolean
                        description: >-
                          Whether the user has pending organization invites
                          waiting to be accepted or declined.
                        example: false

````